Create Candidate
curl --request POST \
--url https://api.example.com/candidates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"initial_chains": [
{
"chain_id": "<string>",
"variable_sequence": "<string>",
"constant_region_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_antibody_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"drug_class": "naked_antibody",
"format_metadata": {},
"description": "<string>",
"source_antibody_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"antigen_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/candidates"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"initial_chains": [
{
"chain_id": "<string>",
"variable_sequence": "<string>",
"constant_region_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_antibody_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"drug_class": "naked_antibody",
"format_metadata": {},
"description": "<string>",
"source_antibody_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"antigen_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
initial_chains: [
{
chain_id: '<string>',
variable_sequence: '<string>',
constant_region_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_antibody_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
drug_class: 'naked_antibody',
format_metadata: {},
description: '<string>',
source_antibody_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
antigen_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.example.com/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"format": "<string>",
"drug_class": "<string>",
"format_metadata": {},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_antibody_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"antigen_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"initial_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}candidates
Create Candidate
POST
/
candidates
Create Candidate
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Payload to create a new therapeutic candidate.
initial_chains is required and used to auto-create the first variant (v1). For single-arm formats (mab, nanobody, scfv, fc_fusion) a single H+L pair suffices. For bispecific / multi-arm formats, supply all required chains.
Required string length:
1 - 120Available options:
mab, nanobody, scfv, fc_fusion, bispecific_kih, bispecific_crossmab, bispecific_common_lc, bite, dart, dvd_ig, tandem_scfv, trispecific_tandem_scfv, trispecific_igg_scfv, trispecific_knh_scfv Chain specs for the initial variant (v1) that is auto-created.
Minimum array length:
1Show child attributes
Show child attributes
Available options:
naked_antibody, adc, car, radioconjugate, t_cell_engager Response
Successful Response
Candidate enriched with junction-table IDs.
⌘I